pidgin: _PidginBuddyList Struct Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Fields
_PidginBuddyList Struct Reference

Like, everything you need to know about the gtk buddy list. More...

`#include <gtkblist.h>`

## Data Fields
GtkWidget * | window
GtkWidget * | notebook
| The notebook that switches between the real buddy list and the helpful instructions page.
GtkWidget * | main_vbox
| This vbox contains the menu and notebook.
GtkWidget * | vbox
| This is the vbox that everything important gets packed into.
GtkWidget * | treeview
| It's a treeview... d'uh.
GtkTreeStore * | treemodel
| This is the treemodel.
GtkTreeViewColumn * | text_column
| Column.
GtkCellRenderer * | text_rend
GtkItemFactory * | ift
GtkWidget * | menutray
| The menu tray widget.
GtkWidget * | menutrayicon
| The menu tray icon.
GHashTable * | connection_errors
| Caches connection error messages; keys are PurpleAccount and values are non-`NULL` `const char *`s containing localised error messages.
guint | refresh_timer
| The timer for refreshing every 30 seconds.
guint | timeout
| The timeout for the tooltip.
guint | drag_timeout
| The timeout for expanding contacts on drags.
GdkRectangle | tip_rect
| This is the bounding rectangle of the cell we're currently hovering over.
GdkRectangle | contact_rect
| This is the bounding rectangle of the contact node and its children.
PurpleBlistNode * | mouseover_contact
| This is the contact currently mouse-over expanded.
GtkWidget * | tipwindow
| The window used by the tooltip.
GList * | tooltipdata
| The data for each "chunk" of the tooltip.
PurpleBlistNode * | selected_node
| The currently selected node.
GdkCursor * | hand_cursor
| Hand cursor.
GdkCursor * | arrow_cursor
| Arrow cursor.
GtkWidget * | scrollbook
| Scrollbook for alerts.
GtkWidget * | headline_hbox
| Hbox for headline notification.
GtkWidget * | headline_label
| Label for headline notifications.
GtkWidget * | headline_image
| Image for headline notifications.
GdkPixbuf * | headline_close
GCallback | headline_callback
| Callback for headline notifications.
gpointer | headline_data
| User data for headline notifications.
GDestroyNotify | headline_destroy
| Callback to use for destroying the headline-data.
gboolean | changing_style
| True when changing GTK+ theme style.
GtkWidget * | error_buttons
| Box containing the connection error buttons.
GtkWidget * | statusbox
| The status selector dropdown.
GdkPixbuf * | empty_avatar
| A 32x32 transparent pixbuf.
gpointer | priv
| Pointer to opaque private data.

## Detailed Description

Like, everything you need to know about the gtk buddy list.

Definition at line 71 of file gtkblist.h.

## Field Documentation

## ◆ arrow_cursor

GdkCursor* _PidginBuddyList::arrow_cursor

Arrow cursor.

Definition at line 116 of file gtkblist.h.

## ◆ changing_style

gboolean _PidginBuddyList::changing_style

True when changing GTK+ theme style.

Definition at line 126 of file gtkblist.h.

## ◆ connection_errors

GHashTable* _PidginBuddyList::connection_errors

Caches connection error messages; keys are PurpleAccount and values are non-`NULL` `const char *`s containing localised error messages.

(If an account does not have an error, it will not appear in the table.)

Deprecated:
  in favour of purple_account_get_current_error(), which also gives you the PurpleConnectionError value.

Definition at line 96 of file gtkblist.h.

## ◆ contact_rect

GdkRectangle _PidginBuddyList::contact_rect

This is the bounding rectangle of the contact node and its children.

This is used for auto-expand on mouseover.

Definition at line 105 of file gtkblist.h.

## ◆ drag_timeout

guint _PidginBuddyList::drag_timeout

The timeout for expanding contacts on drags.

Definition at line 101 of file gtkblist.h.

## ◆ empty_avatar

GdkPixbuf* _PidginBuddyList::empty_avatar

A 32x32 transparent pixbuf.

Definition at line 130 of file gtkblist.h.

## ◆ error_buttons

GtkWidget* _PidginBuddyList::error_buttons

Box containing the connection error buttons.

Definition at line 128 of file gtkblist.h.

## ◆ hand_cursor

GdkCursor* _PidginBuddyList::hand_cursor

Hand cursor.

Definition at line 115 of file gtkblist.h.

## ◆ headline_callback

GCallback _PidginBuddyList::headline_callback

Callback for headline notifications.

Definition at line 123 of file gtkblist.h.

## ◆ headline_close

GdkPixbuf* _PidginBuddyList::headline_close

Deprecated:
  : Close image for closing the headline without triggering the callback

Definition at line 122 of file gtkblist.h.

## ◆ headline_data

gpointer _PidginBuddyList::headline_data

User data for headline notifications.

Definition at line 124 of file gtkblist.h.

## ◆ headline_destroy

GDestroyNotify _PidginBuddyList::headline_destroy

Callback to use for destroying the headline-data.

Definition at line 125 of file gtkblist.h.

## ◆ headline_hbox

GtkWidget* _PidginBuddyList::headline_hbox

Hbox for headline notification.

Definition at line 119 of file gtkblist.h.

## ◆ headline_image

GtkWidget* _PidginBuddyList::headline_image

Image for headline notifications.

Definition at line 121 of file gtkblist.h.

## ◆ headline_label

GtkWidget* _PidginBuddyList::headline_label

Label for headline notifications.

Definition at line 120 of file gtkblist.h.

## ◆ ift

GtkItemFactory* _PidginBuddyList::ift

Definition at line 85 of file gtkblist.h.

## ◆ main_vbox

GtkWidget* _PidginBuddyList::main_vbox

This vbox contains the menu and notebook.

Definition at line 75 of file gtkblist.h.

## ◆ menutray

GtkWidget* _PidginBuddyList::menutray

The menu tray widget.

Definition at line 86 of file gtkblist.h.

## ◆ menutrayicon

GtkWidget* _PidginBuddyList::menutrayicon

The menu tray icon.

Definition at line 87 of file gtkblist.h.

## ◆ mouseover_contact

PurpleBlistNode* _PidginBuddyList::mouseover_contact

This is the contact currently mouse-over expanded.

Definition at line 108 of file gtkblist.h.

## ◆ notebook

GtkWidget* _PidginBuddyList::notebook

The notebook that switches between the real buddy list and the helpful instructions page.

Definition at line 73 of file gtkblist.h.

## ◆ priv

gpointer _PidginBuddyList::priv

Pointer to opaque private data.

Definition at line 132 of file gtkblist.h.

## ◆ refresh_timer

guint _PidginBuddyList::refresh_timer

The timer for refreshing every 30 seconds.

Definition at line 98 of file gtkblist.h.

## ◆ scrollbook

GtkWidget* _PidginBuddyList::scrollbook

Scrollbook for alerts.

Definition at line 118 of file gtkblist.h.

## ◆ selected_node

PurpleBlistNode* _PidginBuddyList::selected_node

The currently selected node.

Definition at line 113 of file gtkblist.h.

## ◆ statusbox

GtkWidget* _PidginBuddyList::statusbox

The status selector dropdown.

Definition at line 129 of file gtkblist.h.

## ◆ text_column

GtkTreeViewColumn* _PidginBuddyList::text_column

Column.

Definition at line 81 of file gtkblist.h.

## ◆ text_rend

GtkCellRenderer* _PidginBuddyList::text_rend

Definition at line 83 of file gtkblist.h.

## ◆ timeout

guint _PidginBuddyList::timeout

The timeout for the tooltip.

Definition at line 100 of file gtkblist.h.

## ◆ tip_rect

GdkRectangle _PidginBuddyList::tip_rect

This is the bounding rectangle of the cell we're currently hovering over.

This is used for tooltips.

Definition at line 102 of file gtkblist.h.

## ◆ tipwindow

GtkWidget* _PidginBuddyList::tipwindow

The window used by the tooltip.

Definition at line 110 of file gtkblist.h.

## ◆ tooltipdata

GList* _PidginBuddyList::tooltipdata

The data for each "chunk" of the tooltip.

Definition at line 111 of file gtkblist.h.

## ◆ treemodel

GtkTreeStore* _PidginBuddyList::treemodel

This is the treemodel.

Definition at line 80 of file gtkblist.h.

## ◆ treeview

GtkWidget* _PidginBuddyList::treeview

It's a treeview... d'uh.

Definition at line 79 of file gtkblist.h.

## ◆ vbox

GtkWidget* _PidginBuddyList::vbox

This is the vbox that everything important gets packed into.

Your plugin might want to pack something in it itself. Go, plugins!

Definition at line 76 of file gtkblist.h.

## ◆ window

GtkWidget* _PidginBuddyList::window

Definition at line 72 of file gtkblist.h.

The documentation for this struct was generated from the following file:

- gtkblist.h